Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata
Interface Identifier

All Known Subinterfaces:
  ReferenceIdentifier

    @UML(identifier="MD_Identifier",
         specification=ISO_19115)
    public interface Identifier

Value uniquely identifying an object within a namespace.

Since:
  GeoAPI 2.0

Field Summary
`static String` | `AUTHORITY_KEY` Key for the `"authority"` property to be given to the CRS factory `createFoo(…)` methods.
`static String` | `CODE_KEY` Key for the `"code"` property to be given to the CRS factory `createFoo(…)` methods.
`static String` | `VERSION_KEY` Deprecated. Moved to `ReferenceIdentifier.VERSION_KEY`.

Method Summary
`Citation` | `getAuthority()` Organization or party responsible for definition and maintenance of the code.
`String` | `getCode()` Alphanumeric value identifying an instance in the namespace.
`String` | `getVersion()` Deprecated. Moved to `ReferenceIdentifier.getVersion()`.

Field Detail

### CODE_KEY

    static final String CODE_KEY

  Key for the `"code"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getCode()`.

  See Also:
    `getCode()`, Constant Field Values

### AUTHORITY_KEY

    static final String AUTHORITY_KEY

  Key for the `"authority"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getAuthority()`.

  See Also:
    `getAuthority()`, Constant Field Values

### VERSION_KEY

    static final String VERSION_KEY

  Deprecated. Moved to `ReferenceIdentifier.VERSION_KEY`.
  Key for the `"version"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getAuthority()`.

  See Also:
    Constant Field Values

Method Detail

### getCode

    @UML(identifier="code",
         obligation=MANDATORY,
         specification=ISO_19115)
    String getCode()

  Alphanumeric value identifying an instance in the namespace.

### getAuthority

    @UML(identifier="authority",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Citation getAuthority()

  Organization or party responsible for definition and maintenance of the code.

### getVersion

    @Extension
    String getVersion()

  Deprecated. Moved to `ReferenceIdentifier.getVersion()`.

  Identifier of the version of the associated code, as specified by the code authority. This version is included only when the code uses versions. When appropriate, the edition is identified by the effective date, coded using ISO 8601 date format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.